#ifndef READEPCCONTROL_H
#define READEPCCONTROL_H

#include <QObject>
#include <QWidget>

#include <QSerialPort>

class ReadEPCControl : public QObject
{
    Q_OBJECT
public:
    explicit ReadEPCControl(QObject *parent = nullptr);

signals:
    void SendToBridge(QByteArray data);
public slots:
    void setComm(QString ComName,long baudRate);
private:

    QString m_RepeatScan = nullptr;
    QSerialPort *SerialPort;
};

#endif // READEPCCONTROL_H
